Description

The Distribution Editor should offer an option to hide those columns which do not have any data. In order to get an overview on the
data that exists for a taxonomic group this would be extremely helpful.

History

#1 - 10/24/2019 03:57 PM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Katja Luther to Andreas Kohlbecker

Can you describe the use use case when this is really needed a bit more? For taxonomic users | can't really see this requirement yet. At least not as
urgent.

#2 - 10/24/2019 04:42 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

The use case:

The user edits a taxonomic group which has a very specific distribution in a set of subareas and wants to get an overview on the data which is already
entered or potentially missing.

For example in Euro+Med a genus which is endemic for the eastern Mediterranean see including Turkey, Lebanon, Israel, ....

The according columns are distributed over the whole width of table. The user could now choose to change the set of available areas, but doing this
only to check the completeness of the distribution data for this genus is quite cumbersome, since this setting must be revered when the user goes on
to work on another task.

#3 - 10/24/2019 10:46 PM - Andreas Miiller
- Description updated
- Status changed from Feedback to New

- Assignee changed from Andreas Miiller to Katja Luther

| agree that it is good to be able to easily return to the same settings as before hand. So we should add the functionality to save a certain projection
(set of columns) which can be easily chosen again. This exists for the bulkeditor and for the matrix editor already and should also be implemented for
the distribution editor.

But | don't think that automatically removing empty columns makes much sense. First of all because there is usually no difference between missing
data and status "absent". So you can't really find missing data this way. The taxa might simply be completely absent in the missing areas. But if you
know that this is not the case you should explicitly check the areas but not make them invisible.

So it is a negative selection, it does not show you areas which may missing data but it shows those areas which are not missing data. So you may
then need to guess which of the 100 areas (example E+M) might be missing in your selection. If at all the functionality might be senseful it should be
the other way round.

But most important, from what | know the users always know very well for which areas they have entered data. It is not that they simply forgot to enter
data for 2 or 3 areas and don't know this. At least for all databases we currently support | was never asked to write a query for which areas distribution
data are missing (while | was e.g. asked for which taxa media data or other factual data are still missing).

These 3 arguments make me suggest to not give this task the highest priority. But we should ask taxonomists if there is a requirement for this.

#4 - 10/24/2019 10:59 PM - Andreas Miiller

But definetly | agree that having a saveable projection might really be useful and should be handled with high priority (so the main use case here
might be ordinary data editing and not necessarily finding missing data).
#5 - 10/25/2019 09:07 AM - Andreas Kohlbecker
The table offers the following options on right-click on a column header:

e hide column
e show all columns

may it is a good idea to use this mechanism to optimize the table appearance?
The set of hidden columns could be saved in the local preferences per (parent) taxon node.

The user could choose columns to be hidden in the table view. Once there are such local settings for a taxon node, this configuration would also
appear in the local preferences as

a. list of those columns (named areas) which are hidden
b. checkilist list of all names areas which are enabled for the Distribution Editor
